"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const scms_api_1 = require("@budgetdumpster/scms-api");
const util = require("util");
const fs = require("fs");
const path = require("path");
const plugins_1 = require("./plugins");
const readFilePromise = util.promisify(fs.readFile).bind(fs);
readFilePromise(path.resolve(__dirname, '../modules.json'), 'utf8')
    .then((moduleFile) => {
    const themeModules = JSON.parse(moduleFile.toString());
    const graphServer = scms_api_1.server(themeModules, plugins_1.plugins);
    graphServer.start(scms_api_1.serverOptions)
        .then(() => scms_api_1.logger.info(`Server ready at http://127.0.0.1:4000${scms_api_1.appConfig.graphEndpoint}, playground at http://127.0.0.1:4000${scms_api_1.appConfig.playgroundEndpoint}`))
        .catch((error) => scms_api_1.logger.error(`Could not start app, error: ${error.message}`));
})
    .catch((error) => scms_api_1.logger.error('%O', error));
