const path = require('path')

// Options reference: https://pm2.io/doc/en/runtime/reference/ecosystem-file/
module.exports = {
  apps: [{
    name: 'scms',
    script: 'dist/server.js',
    instances: 1,
    autorestart: true,
    watch: process.env.NODE_ENV !== 'production' ? path.resolve(__dirname, 'dist') : false,
    watch_options: {
      // Seems to be needed inside of docker containers, BUT this is only required when I specify a path in the `watch` option, if I simply set the watch option to true it works without using polling. Very weird.
      'usePolling': true
    },
    max_memory_restart: '1G'
  }]
}
