import { appConfig, logger, server, serverOptions } from '@budgetdumpster/scms-api'
import * as util from 'util'
import * as fs from 'fs'
import * as path from 'path'
import { dumpsterSizePlugin } from '@budgetdumpster/scms-api-plugin-dumpster-size'
import { plugins } from './plugins'

const readFilePromise = util.promisify(fs.readFile).bind(fs)
readFilePromise(path.resolve(__dirname, '../modules.json'), 'utf8')
    .then((moduleFile) => {
      const themeModules = JSON.parse(moduleFile.toString())
      const graphServer = server(themeModules, plugins)
      graphServer.start(serverOptions)
          .then(() => logger.info(`Server ready at http://127.0.0.1:4000${appConfig.graphEndpoint}, playground at http://127.0.0.1:4000${appConfig.playgroundEndpoint}`))
          .catch((error) => logger.error(`Could not start app, error: ${error.message}`))
    })
    .catch((error) => logger.error('%O', error))
